console.log("app.js wurde geladen");

// Funktion, um die URL des aktiven Tabs zu kopieren
function copyActiveTabURL() {
  console.log("Funktion copyActiveTabURL aufgerufen.");

  // Aktiven Tab abfragen
  chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
    if (tabs.length > 0) {
      const activeTab = tabs[0];
      const url = activeTab.url;

      console.log("URL des aktiven Tabs: ", url); // Debugging: Ausgabe der URL in der Konsole

      // URL in die Zwischenablage kopieren
      navigator.clipboard.writeText(url)
        .then(() => {
          console.log("URL erfolgreich in die Zwischenablage kopiert."); // Erfolgsnachricht
          alert("URL in die Zwischenablage kopiert: " + url);
        })
        .catch(err => {
          console.error("Fehler beim Kopieren der URL:", err); // Fehlerbehandlung
          alert("Fehler beim Kopieren der URL: " + err);
        });
    } else {
      console.error("Kein aktiver Tab gefunden.");
      alert("Kein aktiver Tab gefunden.");
    }
  });
}

// Event-Listener hinzufügen, sobald das DOM vollständig geladen ist
document.addEventListener("DOMContentLoaded", () => {
  const button = document.getElementById("copy-url");
  if (button) {
    console.log("Button gefunden:", button);
    button.addEventListener("click", () => {
      console.log("Button wurde geklickt!");
      // Funktion aufrufen
      copyActiveTabURL();
    });
  } else {
    console.error("Button mit ID 'copy-url' wurde nicht gefunden!");
  }
});