//Wenn ein neueer Tab geöffnet wird
browser.tabs.onCreated.addListener((tab) => {
    console.log("Neuer Tab geöffnet:", tab.url);
  
    navigator.clipboard.writeText(tab.url).then(() => {
      console.log("URL des neuen Tabs wurde in die Zwischenablage kopiert:", tab.url);
    })
    .catch((err) => {
      console.error("Fehler beim Kopieren der URL:", err);
    });
  });

  //Wenn der Tab aktualisiert wird
  browser.tabs.onUpdated.addListener((tabId, changeInfo, tab) => {
    console.log("alle ready");
    if(changeInfo.status === "complete") {
        console.log("tab" + tab + "\ntabId" + tabId + "\nchangeInfo", changeInfo);
        navigator.clipboard.writeText(tab.url).then(() => {
          console.log("URL des neuen Tabs wurde in die Zwischenablage kopiert:", tab.url);
        })
        .catch((err) => {
          console.error("Fehler beim Kopieren der URL:", err);
        });

        browser.scripting.executeScript({
          target: { tabId: tabId },
          files: ["content.js"]
        });
    }
  });

  // Nachricht vom Content Script empfangen
chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
  console.log("Titel der Seite:", message.title);
  console.log("YouTube-Videotitel:", message.videoTitle);

  // Beispiel: Kopiere den Titel in die Zwischenablage
  navigator.clipboard.writeText(message.videoTitle || message.title).then(() => {
      console.log("Titel in die Zwischenablage kopiert.");
  }).catch(err => {
      console.error("Fehler beim Kopieren in die Zwischenablage:", err);
  });
});